/**********************************************************************\
**
**                         Copyright (c) 2004-2017 by
**                          HENGSTLER GmbH, Aldingen
**
**      This  software  is furnished under a licence and may be used and
**      copied only in accordance with the terms  of  such  licence  and
**      with the inclusion of the above copyright notice.  This software
**      or any other copies thereof may not  be  provided  or  otherwise
**      made  available  to any other person.  No title to and ownership
**      of the software is hereby transferred.
**
**      The  information  in  this software is subject to change without
**      notice and should not be construed as a commitment by Hengstler.
**
**  Module:      C56SdkDemo01.cpp
**  Facility:    Hengstler C56 XP and 7 Driver - C56 SDK Demo Application 01 (C56SdkDemo01)
**  Date:        2017APR27
**  Environment: Windows XP/7/8/10 and Windows 7
**  Compiler:    Microsoft Visual Studio 2015
**  Abstract:    Defines class handling of the application
**  Notes:       -
**
\**********************************************************************/

/*
** INCLUDES
*/

#include "stdafx.h"

#include "C56SdkDemo01.h"
#include "C56SdkDemo01DlgMain.h"

/*
** COMPILER
*/

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

/*
** MESSAGE MAP
*/

BEGIN_MESSAGE_MAP(CC56SdkDemo01App, CWinApp)
   ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()

/*
** VARIABLES
*/

CC56SdkDemo01App theApp; // The only CC56SdkDemo01App application

//******************************************************************************************
// METHOD:   CC56SdkDemo01App::CC56SdkDemo01App
// ABSTRACT: Object constructor
//******************************************************************************************

CC56SdkDemo01App::CC56SdkDemo01App()
{
    //-- Nothing to do
}

//******************************************************************************************
// METHOD:   CC56SdkDemo01App::InitInstance
// ABSTRACT: Object initialization
//******************************************************************************************

BOOL CC56SdkDemo01App::InitInstance
   ( )
{
   //-- Initialize this application
   CWinApp::InitInstance();

   // Standard initialization 
   // SetRegistryKey(_T("Vom lokalen Anwendungs-Assistenten generierte Anwendungen"));

   //-- Create C56 SDK Demo 01 dialog
   CC56SdkDemo01DlgMain dlgC56SdkDemo01DlgMain;

   //-- Set application main window to this dialog
   m_pMainWnd = &dlgC56SdkDemo01DlgMain;

   //-- Do C56 SDK Demo 01 dialog as modal dialog
   dlgC56SdkDemo01DlgMain.DoModal();

   //-- Inform about initialization being successufll 
   return FALSE;
}
